Bug 226779 - www/py-django-registration-redux: update to 2.2
Summary: www/py-django-registration-redux: update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-19 20:04 UTC by Po-Chuan Hsieh
Modified: 2018-03-21 19:36 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2018-03-19 20:04:42 UTC
Update to 2.2

- Change MASTER_SITES from CHEESESHOP to GitHub: PyPI does not have tarball but only .whl
- Update RUN_DEPENDS: use Django metaport (www/py-django)
- Simplify CONFLICTS_INSTALL

Changes:        https://github.com/macropin/django-registration/releases
Comment 1 Kevin Golding 2018-03-20 11:46:02 UTC
I think I'm happy, but I have a query/issue with the distinfo file.

I've tried multiple times and on my system (11.1) it always wants the file macropin-django-registration-2.2_GH0.tar.gz instead of macropin-django-registration-v2.2_GH0.tar.gz

If I download https://github.com/macropin/django-registration/archive/v2.2.tar.gz and rename it to the file I'm trying to fetch I generate the same data, it's just the filename I seem to expect differs from the patch:

TIMESTAMP = 1521544708
SHA256 (macropin-django-registration-2.2_GH0.tar.gz) = 87db2e03843ce214b344281d98de0a92899f58f53f0476cabb97d0b8f8624ffa
SIZE (macropin-django-registration-2.2_GH0.tar.gz) = 103243

I can only agree the patch with the caveat that I am unable to fetch the file as listed in distinfo. I can't see an issue on my system as other github projects fetch as expected but I'll keep looking, however for speed I would say go ahead providing the filename be doublechecked before committing just for peace of mind.
Comment 2 Po-Chuan Hsieh freebsd_committer 2018-03-20 21:36:07 UTC
There is

+DISTVERSIONPREFIX=	v

in the patch.

Can you check if you have that line after applying the patch?
Comment 3 Kevin Golding 2018-03-21 09:09:34 UTC
Aha, yes that fixes it. I'd manually patched since I had a modified Makefile already and clearly missed that.

I'm happy with it
Comment 4 Po-Chuan Hsieh freebsd_committer 2018-03-21 19:36:25 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2018-03-21 19:36:49 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Mar 21 19:35:59 UTC 2018
New revision: 465231
URL: https://svnweb.freebsd.org/changeset/ports/465231

Log:
  Update to 2.2

  - Change MASTER_SITES from CHEESESHOP to GitHub: PyPI does not have tarball but only .whl
  - Update RUN_DEPENDS: use Django metaport (www/py-django)
  - Simplify CONFLICTS_INSTALL

  Changes:	https://github.com/macropin/django-registration/releases
  PR:		226779
  Submitted by:	sunpoet (myself)
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-django-registration-redux/Makefile
  head/www/py-django-registration-redux/distinfo